Skip to main content
POST
/
v1
/
api
/
connection
/
compute-metadata
Compute connection metadata by connection ID
curl --request POST \
  --url 'https://api.upsolve.ai/v1/api/connection/compute-metadata?apiKey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "apiKey": "up_embed_************"
}
'
import requests

url = "https://api.upsolve.ai/v1/api/connection/compute-metadata?apiKey="

payload = { "apiKey": "up_embed_************" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({apiKey: 'up_embed_************'})
};

fetch('https://api.upsolve.ai/v1/api/connection/compute-metadata?apiKey=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>",
  "data": {
    "metadata": "<unknown>"
  }
}
{
  "status": "<string>",
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": {}
  }
}

Authorizations

apiKey
string
query
required

apiKey MUST be supplied within the request body instead of query

Body

application/json

POST /v1/api/connection/compute-metadata Request body

connectionId
string
required

The ID of the connection to compute metadata for

apiKey
string

Upsolve API key, generated under Account → Developer settings in the Upsolve Hub. Keys are user-scoped: pass organizationId alongside the key to select which org to act on.

Minimum string length: 1
Example:

"up_embed_************"

organizationId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
projectId
string
catalogNames
string[]
schemaNames
string[]
keepQueries
boolean
refreshConnectionSchema
boolean

Response

POST /v1/api/connection/compute-metadata Positive response

status
string
required
Allowed value: "success"
data
object
required